Subject: Re: [PATCH 2.6] ipconfig accepts any DHCPACK

From: "David S. Miller" <[email-masked]>
Date: Tue, 7 Sep 2004 15:02:04 -0700

On Tue, 07 Sep 2004 14:46:14 -0700
Peter Buckingham <[email-masked]> wrote:

> I was playing around with using ipconfig to initialise a bunch of 
> systems and it turns out that the ipconfig code doesn't check to see 
> whether the ACK is for it or another system. I've just added a simple 
> check to compare the hardware address of the device to the one in the 
> packet.

Just because there are 16 bytes of hw address in the bootp packet
layout doesn't mean the device actually has that many.  Please fix
it to use dev->addr_len.